# CMMotionRemover Class Reference

This class prevents the center of mass of a System from drifting. More...

Inheritance diagram for CMMotionRemover:

List of all members.

## Public Member Functions

def | getFrequency
| getFrequency(self) -> int
def | setFrequency
| setFrequency(self, int freq)
def | __init__
| __init__(self, int frequency = 1) -> CMMotionRemover __init__(self) -> CMMotionRemover __init__(self, CMMotionRemover other) -> CMMotionRemover
def | __del__
| __del__(self)

## Public Attributes

| this

## Detailed Description

This class prevents the center of mass of a System from drifting.

At each time step, it calculates the center of mass momentum, then adjusts the individual particle velocities to make it zero.

## Member Function Documentation

def __del__ | ( |  | self | ) |

__del__(self)

Reimplemented from Force.

def __init__ | ( |  | self,
|  |  | args |
| ) |  |  |

__init__(self, int frequency = 1) -> CMMotionRemover __init__(self) -> CMMotionRemover __init__(self, CMMotionRemover other) -> CMMotionRemover

Create a CMMotionRemover.

def getFrequency | ( |  | self | ) |

getFrequency(self) -> int

Get the frequency (in time steps) at which center of mass motion should be removed

def setFrequency | ( |  | self,
|  |  | args |
| ) |  |  |

setFrequency(self, int freq)

Set the frequency (in time steps) at which center of mass motion should be removed

## Member Data Documentation

this

The documentation for this class was generated from the following file:

- openmm.py